
// Global data structures and function prototypes are
// all collected here.  Defines of constants are in
// the file pvm1_c.h

#include "Sections.h"

// for file docrec.c
typedef struct
{
   unsigned char *buf;
   UInt16 len;
} Buffer;

// This is the header (record 0) of a DOC database
typedef struct
{
   UInt16 version;              // 2    1:plain, 2:compressed, 3:ext
   UInt16 reserved1;		// 2
   UInt32 doc_size;             // 4   in bytes, when uncompressed
   UInt16 count;		// 2   numRecords-1, maintained by WriteRec()
   UInt16 rec_size;	        // 2   == MAXTEXTSIZE
   UInt32 position;		// 4   currently viewed position
} DOCInfoType;			//         16 bytes

DOCInfoType DOC_Values;

// Encryption/Decryption key
int key[KEYLEN];

// Utility string used for printing by everyone
char OutString[64];

void WriteHeader(LocalID dbID) EXTRA_SECTION_ONE;
Boolean ReadRec(DmOpenRef dbR, UInt16 index, Buffer *b) EXTRA_SECTION_ONE;
void WriteRec(LocalID dbID, Boolean newrec, UInt16 index, Buffer *b) EXTRA_SECTION_ONE;
void DelRec(LocalID dbID, UInt16 index) EXTRA_SECTION_ONE;

// for dataacq.c

void stall(UInt32 t)EXTRA_SECTION_ONE;
void beep()EXTRA_SECTION_ONE;
void StatusMsg(char *s, Boolean blink) EXTRA_SECTION_ONE;
void AlertNum(char *str, Int32 num) EXTRA_SECTION_ONE;
